##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AxiMicronP30.yaml

AxiMicronP30: &AxiMicronP30
  name: AxiMicronP30
  description: AXI-Lite Micron P30 PROM
  class: MMIODev
  size: 0x100
  registers:
  #########
  children:
  #########
    #########################################################
    WrData:
      at:
        offset: 0x00
      class: IntField
      name: WrData
      sizeBits: 16
      mode: RW
      description: Write Data
    ##########################################################
    WrData:
      at:
        offset: 0x00
      class: IntField
      sizeBits: 16
      mode: RW
      description: Write Data
    ##########################################################
    WrCmd:
      at:
        offset: 0x02
      class: IntField
      sizeBits: 16
      mode: RW
      description: Write Command
    ##########################################################
    Address:
      at:
        offset: 0x04
      class: IntField
      sizeBits: 31
      mode: RW
      description: Read/Write Address
    ##########################################################
    RnW:
      at:
        offset: 0x07
      class: IntField
      sizeBits: 1
      lsBits: 7
      mode: RW
      description: Read/Write operation bit
    ##########################################################
    RdData:
      at:
        offset: 0x08
      class: IntField
      sizeBits: 16
      mode: RO
      description: Read Data
    ##########################################################
    Test:
      at:
        offset: 0x0C
      class: IntField
      mode: RW
      description: Scratch Pad tester register
    ##########################################################
